#pragma once

#include "CoreMinimal.h"
#include "AdaptiveShadowMapParams.generated.h"

USTRUCT(BlueprintType)
struct FAdaptiveShadowMapParams
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	int32 Levels;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	int32 PreGeneratedLevels;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	bool bUseAutoRadius;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	float Radius;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	float DepthMin;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	float DepthMax;

public:
	GRAPHICSEXTENSIONS_API FAdaptiveShadowMapParams();
};

FORCEINLINE uint32 GetTypeHash(const FAdaptiveShadowMapParams) { return 0; }
